Bug 636536 - [abrt] scribus-1.3.8-1.fc13: Process /usr/bin/scribus was killed by signal 11 (SIGSEGV)
Summary: [abrt] scribus-1.3.8-1.fc13: Process /usr/bin/scribus was killed by signal 11...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: scribus
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL: http://bugs.scribus.net/view.php?id=7826
Whiteboard: abrt_hash:f9e0463334d8d37514b89034e8b...
: 560314 572607 583457 594877 594927 607980 611899 614278 619479 619542 626072 628134 632419 633687 637419 637532 648561 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-22 13:52 UTC by Michael Wiktowy
Modified: 2011-06-28 12:29 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 12:29:27 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (73.37 KB, text/plain)
2010-09-22 13:52 UTC, Michael Wiktowy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 628134 0 low CLOSED [abrt] scribus-1.3.8-1.fc13: Process /usr/bin/scribus was killed by signal 11 (SIGSEGV) 2021-02-22 00:41:40 UTC

Internal Links: 628134

Description Michael Wiktowy 2010-09-22 13:52:40 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: scribus
comment: Test in support of bug #628134
component: scribus
crash_function: ScribusMainWindow::emergencySave
executable: /usr/bin/scribus
kernel: 2.6.34.7-56.fc13.x86_64
package: scribus-1.3.8-1.fc13
rating: 4
reason: Process /usr/bin/scribus was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1285163298
uid: 500

How to reproduce
-----
1. Opened new document
2. Added empty text field
3. Selected text field and used Spell check
4. Closed spell check ... Scribus crashed

Comment 1 Michael Wiktowy 2010-09-22 13:52:42 UTC
Created attachment 448940 [details]
File: backtrace

Comment 2 Dan Horák 2010-09-26 08:42:43 UTC
So it's the same issue as http://bugs.scribus.net/view.php?id=7826 and the workaround is to install at least the aspell-en package.

And there are even 2 crashes possible - one you get with empty text field, the second with some text written in the text field.

Comment 3 Dan Horák 2010-09-26 08:57:07 UTC
*** Bug 628134 has been marked as a duplicate of this bug. ***

Comment 4 Dan Horák 2010-09-26 08:58:55 UTC
*** Bug 637419 has been marked as a duplicate of this bug. ***

Comment 5 Dan Horák 2010-09-26 09:04:54 UTC
*** Bug 633687 has been marked as a duplicate of this bug. ***

Comment 6 Karel Klíč 2010-11-08 19:05:46 UTC
*** Bug 607980 has been marked as a duplicate of this bug. ***

Comment 7 Karel Klíč 2010-11-08 19:05:51 UTC
*** Bug 611899 has been marked as a duplicate of this bug. ***

Comment 8 Karel Klíč 2010-11-08 19:06:00 UTC
*** Bug 614278 has been marked as a duplicate of this bug. ***

Comment 9 Karel Klíč 2010-11-08 19:06:04 UTC
*** Bug 619479 has been marked as a duplicate of this bug. ***

Comment 10 Karel Klíč 2010-11-08 19:06:10 UTC
*** Bug 619542 has been marked as a duplicate of this bug. ***

Comment 11 Karel Klíč 2010-11-08 19:06:14 UTC
*** Bug 626072 has been marked as a duplicate of this bug. ***

Comment 12 Karel Klíč 2010-11-08 19:06:19 UTC
*** Bug 632419 has been marked as a duplicate of this bug. ***

Comment 13 Karel Klíč 2010-11-08 19:06:25 UTC
*** Bug 637532 has been marked as a duplicate of this bug. ***

Comment 14 Karel Klíč 2010-11-08 19:06:30 UTC
*** Bug 648561 has been marked as a duplicate of this bug. ***

Comment 15 Karel Klíč 2010-11-08 19:06:35 UTC
*** Bug 560314 has been marked as a duplicate of this bug. ***

Comment 16 Karel Klíč 2010-11-08 19:06:41 UTC
*** Bug 572607 has been marked as a duplicate of this bug. ***

Comment 17 Karel Klíč 2010-11-08 19:06:46 UTC
*** Bug 583457 has been marked as a duplicate of this bug. ***

Comment 18 Karel Klíč 2010-11-08 19:06:51 UTC
*** Bug 594877 has been marked as a duplicate of this bug. ***

Comment 19 Karel Klíč 2010-11-08 19:06:56 UTC
*** Bug 594927 has been marked as a duplicate of this bug. ***

Comment 20 Bug Zapper 2011-05-31 12:51:47 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 21 Egon Kastelijn 2011-06-14 18:35:21 UTC
I am unable to reproduce this problem in Fedora 15

Comment 22 Bug Zapper 2011-06-28 12:29:27 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.